#pragma once

#include "font.h"

class VectorFont : public Font {
public:
	VectorFont();

	virtual void applyFont(const std::string& in, std::string& out) const override;
	virtual const std::string& getName() const override;
	virtual bool canApply(const std::string& in) const override;
private:
	static const std::string vectorSymbol;
};